Skip to content

Get Total Asset History Notional Value

Fetch the historical total value of all assets, calculated using their market prices at each point in time

If b_id is not provided, the API will check whether the user has View Only - Company permissions. Users with access only to specific business lines will not receive any data unless they also hold View Only - Company rights.

To grant this permission, an administrator can navigate to User Configuration and enable the View Only - Company checkbox.

Endpoint

GET https://api.mycactus.dev/custody/v1/api/history-asset
GET https://api.mycactus.com/custody/v1/api/history-asset

Parameters

Query Parameters

FieldTypeDescription
b_id
Optional
StringBusiness line ID (Query all asset by default)

Response

Response Body

data (object)

FieldTypeDescription
history_asset_resultObject[]List of total asset history (see history_asset_result object details below)

history_asset_result (object)

FieldTypeDescription
create_timeStringTime created, return in YYYY-MM-DD
market_valueStringTotal market value (USD)
market_value_cnyStringTotal market value (CNY)

Response Example

{
    "code": 0,
    "message": "",
    "successful": null,
    "data": {
        "history_asset_result": [
            {
                "create_time": "2026-04-04",
                "market_value": "100.00",
                "market_value_cny": "697.26"
            }
        ]
    }
}